Package org.silverpeas.components.delegatednews.dao

## Class DelegatedNewsJpaRepository

- java.lang.Object
- - org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository<E>
  - - org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<DelegatedNews>
    - - org.silverpeas.components.delegatednews.dao.DelegatedNewsJpaRepository

- All Implemented Interfaces:
    `DelegatedNewsRepository`, `org.silverpeas.core.persistence.datasource.repository.EntityRepository<DelegatedNews>`, `org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<DelegatedNews>`

      @Repository
      public class DelegatedNewsJpaRepository
      extends org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<DelegatedNews>
      implements DelegatedNewsRepository

  Author:
    ebonnet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatedNewsJpaRepository()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<DelegatedNews>` | `findAllOrderedNews()` |
    `List<DelegatedNews>` | `findByStatus​(String status)` |

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository

      `deleteByComponentInstanceId, saveAndFlush`

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository

      `contains, countByCriteria, countFromJpqlString, delete, deleteById, deleteFromJpqlQuery, deleteFromNamedQuery, findByCriteria, findByNamedQuery, findFirstByNamedQuery, flush, getAll, getById, getById, getEntityClass, getEntityManager, getFromJpqlString, getFromJpqlString, getFromNamedQuery, getFromNamedQuery, getIdentifierConverter, getMaximumItemsInClause, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromNamedQuery, listFromNamedQuery, newNamedParameters, noParameter, save, setMaximumItemsInClause, split, streamByNamedQuery, streamByNamedQuery, streamFromJpqlString, streamFromJpqlString, updateFromJpqlQuery, updateFromNamedQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

      `contains, delete, delete, deleteByComponentInstanceId, deleteById, deleteById, findByCriteria, flush, getAll, getById, getById, getById, save, save, save`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush

      `saveAndFlush`

- - ### Constructor Detail

    - #### DelegatedNewsJpaRepository

          public DelegatedNewsJpaRepository()

  - ### Method Detail

    - #### findByStatus

          public List<DelegatedNews> findByStatus​(String status)

      Specified by:
        `findByStatus` in interface `DelegatedNewsRepository`

    - #### findAllOrderedNews

          public List<DelegatedNews> findAllOrderedNews()

      Specified by:
        `findAllOrderedNews` in interface `DelegatedNewsRepository`